#CONFIG PROVIDED FOR COVIDASH
set -g mouse on
set-environment -g TMUX_PLUGIN_MANAGER_PATH '~/.tmux/plugins/'

bind-key r source-file ~/.tmux.conf \; display-message "~/.tmux.conf reloaded"




set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sidebar'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'tmux-plugins/tmux-resurrect'
set -g @plugin 'tmux-plugins/tmux-continuum'
set -g @resurrect-capture-pane-contents 'on'
# for vim
set -g @resurrect-strategy-vim 'session'
# for neovim
set -g @resurrect-strategy-nvim 'session'

#-------------------------------------------------------#
#Pane colours
#-------------------------------------------------------#
# set inactive/active window styles
set -g window-style 'fg=colour247,bg=colour236'
set -g window-active-style 'fg=colour250,bg=black'
 
#pane border
set -g pane-border-bg colour235
set -g pane-border-fg colour238
set -g pane-active-border-bg colour236
set -g pane-active-border-fg colour51
#-------------------------------------------------------#



#KEEP THIS AT THE BOTTOM OF THE FILE!
run  '~/.tmux/plugins/tpm/tpm'

